LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XNumberFormatCode Interface Referencepublished

Access number format codes defined in locale data. More...

`import"XNumberFormatCode.idl";`

Inheritance diagram for XNumberFormatCode:

## Public Member Functions
NumberFormatCode | getDefault ([in] short nFormatType, [in] short nFormatUsage, [in] com::sun::star::lang::Locale rLocale)
| returns the default number format code of a specific category (usage group) for a given locale and format length type. More...
NumberFormatCode | getFormatCode ([in] short nFormatIndex, [in] com::sun::star::lang::Locale rLocale)
| returns the number format pointed to by nFormatIndex for a given locale. More...
sequence< NumberFormatCode > | getAllFormatCode ([in] short nFormatUsage, [in] com::sun::star::lang::Locale rLocale)
| returns all format codes for a given nFormatUsage and locale. More...
sequence< NumberFormatCode > | getAllFormatCodes ([in] com::sun::star::lang::Locale rLocale)
| returns all format codes for a given locale. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Access number format codes defined in locale data.

Developers Guide
  OfficeDev - Overview and Using the API - XNumberFormatCode

## Member Function Documentation

sequence< NumberFormatCode > getAllFormatCode | ( | [in] short | nFormatUsage,
|  | [in] com::sun::star::lang::Locale | rLocale
| ) |  |

returns all format codes for a given nFormatUsage and locale.

Parameters

  nFormatUsage | one of KNumberFormatUsage values

sequence< NumberFormatCode > getAllFormatCodes | ( | [in] com::sun::star::lang::Locale | rLocale | ) |

returns all format codes for a given locale.

NumberFormatCode getDefault | ( | [in] short | nFormatType,
|  | [in] short | nFormatUsage,
|  | [in] com::sun::star::lang::Locale | rLocale
| ) |  |

returns the default number format code of a specific category (usage group) for a given locale and format length type.

Parameters

  nFormatType | one of the constants listed in KNumberFormatType
  nFormatUsage | one of KNumberFormatUsage values

NumberFormatCode getFormatCode | ( | [in] short | nFormatIndex,
|  | [in] com::sun::star::lang::Locale | rLocale
| ) |  |

returns the number format pointed to by nFormatIndex for a given locale.

Parameters

  nFormatIndex | one of NumberFormatIndex values

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XNumberFormatCode.idl